Uploaded image for project: 'Qt Creator'
  1. Qt Creator
  2. QTCREATORBUG-18802

Port Qt Creator to Botan2 to avoid Linux Distribution issues

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P3: Somewhat important
    • Resolution: Done
    • Affects Version/s: Qt Creator 4.5.0-beta1
    • Fix Version/s: Qt Creator 4.7.1
    • Component/s: Remote Linux
    • Labels:
      None
    • Commits:
      a44fe2e4f03fc18ce9c3d050f71fe369916259b8

      Description

      Linux distributions are moving towards OpenSSL 1.1, which is only supported starting with Botan 2. While Qt Creator does not require OpenSSL functionality, the distributions will typically build it with OpenSSL.

      That said, Botan 1 seems to be officially dead. However, Botan 2 is not API-compatible. However, it still allows for amalgamation.

      If you need more details, let me know.

        Attachments

          Issue Links

          No reviews matched the request. Check your Options in the drop-down menu of this sections header.

            Activity

              People

              • Assignee:
                kandeler Christian Kandeler
                Reporter:
                danimo Daniel Molkentin
              • Votes:
                2 Vote for this issue
                Watchers:
                11 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Gerrit Reviews

                  There are no open Gerrit changes